port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info

dns:
  enable: true
  listen: 0.0.0.0:53
  default-nameserver:
    - 154.83.83.85  # 日本节点用的日本DNS
    - 8.8.8.8
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16

proxies:
  - name: "Japan-Shadowsocks-5951"
    type: ss
    server: 154.83.93.175
    port: 5951
    cipher: chacha20-ietf-poly1305
    password: Wz198407
    udp: true

  - name: "Japan-Hysteria2-6691"
    type: hysteria2
    server: 154.83.93.175
    port: 6691
    password: f76b0b28-eaaf-4d45-aa55-b88d2477d500
    alpn:
      - h3
    udp: true
    tls: true
    skip-cert-verify: true

  - name: "Japan-Trojan-9166"
    type: trojan
    server: 154.83.93.175
    port: 9166
    password: 08bce1aa-2ee0-48c7-8937-8cfbcf5322a1
    udp: true
    tls: true
    skip-cert-verify: true

  - name: "Singapore-SS-Beiying"
    type: ss
    server: 47.236.253.17
    port: 8388
    cipher: chacha20-ietf-poly1305
    password: WF6q5GgETFZ9
    udp: true

proxy-groups:
  - name: "Auto"
    type: select
    proxies:
      - "Japan-Shadowsocks-5951"
      - "Japan-Hysteria2-6691"
      - "Japan-Trojan-9166"
      - "Singapore-SS-Beiying"
      - DIRECT

rules:
  - DOMAIN-SUFFIX,google.com,Auto
  - DOMAIN-SUFFIX,amazon.com,Auto
  - GEOIP,CN,DIRECT
  - MATCH,Auto
